---
title: "Définition d'orthogonalité" 
weight: 40
---

<< En cours de construction >>

Note : j'imaginais ici avoir un metalanguage permettant de définir une 
relation d'orthogonalité par une constellation. On pourrait demander à ce que
l'exécution de deux constellations testé par un critère d'orthogonalité renvoie
`ok;`.

Pour rendre les résultats d'exécution testables, on peut les envelopper avec
un rayon `-test(...)`.

J'avais en tête ce genre de syntaxe :

```
let ortho <ID-ORTHO> =
  " definition de constellation
end
```

Par exemple pour les automates qui renvoient `accept;` : 

```
let ortho <ID-ORTHO> =
  -accept ok;
end
```

On pourrait ensuite faire quelque chose du genre

```
let constellation c1 =
  ...
end

let constellation c2 =
  ...
end

test c1 c2 with <ID-ORTHO>
```